#
# PySNMP MIB module CISCO-IETF-BFD-MIB (http://snmplabs.com/pysmi)
# ASN.1 source file://./CISCO-IETF-BFD-MIB.mib
# Produced by pysmi-1.1.10 at Tue Nov 28 11:02:57 2023
# On host simtve-ThinkPad-X1-Carbon-Gen-9 platform Linux version 5.15.0-84-generic by user simon
# Using Python version 3.9.18 (main, Aug 25 2023, 13:20:04) 
#
OctetString, Integer, ObjectIdentifier = mibBuilder.importSymbols("ASN1", "OctetString", "Integer", "ObjectIdentifier")
NamedValues, = mibBuilder.importSymbols("ASN1-ENUMERATION", "NamedValues")
ConstraintsIntersection, ValueSizeConstraint, ValueRangeConstraint, ConstraintsUnion, SingleValueConstraint = mibBuilder.importSymbols("ASN1-REFINEMENT", "ConstraintsIntersection", "ValueSizeConstraint", "ValueRangeConstraint", "ConstraintsUnion", "SingleValueConstraint")
ciscoExperiment, = mibBuilder.importSymbols("CISCO-SMI", "ciscoExperiment")
InterfaceIndex, = mibBuilder.importSymbols("IF-MIB", "InterfaceIndex")
InetAddressType, InetAddress, InetPortNumber = mibBuilder.importSymbols("INET-ADDRESS-MIB", "InetAddressType", "InetAddress", "InetPortNumber")
ObjectGroup, NotificationGroup, ModuleCompliance = mibBuilder.importSymbols("SNMPv2-CONF", "ObjectGroup", "NotificationGroup", "ModuleCompliance")
MibIdentifier, IpAddress, Unsigned32, iso, ObjectIdentity, NotificationType, MibScalar, MibTable, MibTableRow, MibTableColumn, Integer32, TimeTicks, Counter64, ModuleIdentity, Bits, Gauge32, Counter32 = mibBuilder.importSymbols("SNMPv2-SMI", "MibIdentifier", "IpAddress", "Unsigned32", "iso", "ObjectIdentity", "NotificationType", "MibScalar", "MibTable", "MibTableRow", "MibTableColumn", "Integer32", "TimeTicks", "Counter64", "ModuleIdentity", "Bits", "Gauge32", "Counter32")
TruthValue, DisplayString, RowStatus, StorageType, TextualConvention, TimeStamp = mibBuilder.importSymbols("SNMPv2-TC", "TruthValue", "DisplayString", "RowStatus", "StorageType", "TextualConvention", "TimeStamp")
ciscoIetfBfdMIB = ModuleIdentity((1, 3, 6, 1, 4, 1, 9, 10, 137))
ciscoIetfBfdMIB.setRevisions(('2011-03-14 00:00', '2010-02-18 00:00', '2008-04-24 00:00', '2007-06-04 00:00',))

if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    if mibBuilder.loadTexts: ciscoIetfBfdMIB.setRevisionsDescriptions(("Modify value for 'ciscoBfdSessRemoteDiscr' and 'CiscoBfdInterval' to allow value 0 to conform to latest draft, draft-ietf-bfd-mib-10.txt.", 'Modify value for ciscoBfdDiag textual convention to conform to latest draft-ietf-bfd-mib-07.txt', 'Revised version includes support for draft-ietf-bfd-mib-03.txt and draft-ietf-bfd-mib-04.txt. In addition to small description changes made throughout this MIB, following changes are made: * ciscoBfdObjects.ciscoBfdSessTable.ciscoBfdSessEntry - ciscoBfdSessState : failing state added - ciscoBfdSessVersionNumber : new object added - ciscoBfdSessType : new object added - ciscoBfdSessInterface : new object added * ciscoBfdObjects - ciscoBfdSessDiscMapTable : new table added - ciscoBfdSessIpMapTable : new table added * ciscoBfdComformance - ciscoBfdSessGroup : object group deprecated - ciscoBfdSess03Group : new object group added - ciscoBfdSess04Group : new object group added - ciscoBfdSess0304Group : new object group added * ciscoBfdCompliances - ciscoBfdModuleFullCompliance : module compliance deprecated - ciscoBfdModuleFullComplianceRev2 : new module compliance added', 'Initial version based on draft-ietf-bfd-mib-03.txt',))
if mibBuilder.loadTexts: ciscoIetfBfdMIB.setLastUpdated('201104160000Z')
if mibBuilder.loadTexts: ciscoIetfBfdMIB.setOrganization('IETF')
if mibBuilder.loadTexts: ciscoIetfBfdMIB.setContactInfo('Zafar Ali Cisco Systems, Inc. Email: zali@cisco.com A S Kiran Koushik Cisco Systems, Inc. Email: kkoushik@cisco.com Nobo Akiya Cisco Systems, G.K. Email: nobo@cisco.com')
if mibBuilder.loadTexts: ciscoIetfBfdMIB.setDescription('This document contains the Management information base for Bidirectional Forwarding Detection(BFD) Protocol as defined in draft-ietf-bfd-base-06.txt. BFD is a protocol intended to detect faults in the bidirectional path between two forwarding engines, including interfaces, data link(s), and to the extent possible the forwarding engines themselves, with potentially very low latency. It operates independently of media, data protocols, and routing protocols. This MIB module is based on the Internet Draft draft-ietf-bfd-mib-03.txt and draft-ietf-bfd-mib-04.txt')
ciscoBfdNotifications = MibIdentifier((1, 3, 6, 1, 4, 1, 9, 10, 137, 0))
ciscoBfdObjects = MibIdentifier((1, 3, 6, 1, 4, 1, 9, 10, 137, 1))
ciscoBfdConformance = MibIdentifier((1, 3, 6, 1, 4, 1, 9, 10, 137, 3))
ciscoBfdScalarObjects = MibIdentifier((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 1))
class CiscoBfdSessIndexTC(TextualConvention, Unsigned32):
    description = 'An index used to uniquely identify BFD sessions.'
    status = 'current'
    displayHint = 'd'
    subtypeSpec = Unsigned32.subtypeSpec + ValueRangeConstraint(1, 4294967295)

class CiscoBfdInterval(TextualConvention, Unsigned32):
    description = 'The BFD interval delay in microseconds.'
    status = 'current'
    subtypeSpec = Unsigned32.subtypeSpec + ValueRangeConstraint(0, 4294967295)

class CiscoBfdDiag(TextualConvention, Integer32):
    description = 'A common BFD diagnostic code.'
    status = 'current'
    subtypeSpec = Integer32.subtypeSpec + ConstraintsUnion(SingleValueConstraint(0, 1, 2, 3, 4, 5, 6, 7, 8))
    namedValues = NamedValues(("noDiagnostic", 0), ("controlDetectionTimeExpired", 1), ("echoFunctionFailed", 2), ("neighborSignaledSessionDown", 3), ("forwardingPlaneReset", 4), ("pathDown", 5), ("concatenatedPathDown", 6), ("administrativelyDown", 7), ("reverseConcatenatedPathDown", 8))

ciscoBfdAdminStatus = MibScalar((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 1, 1), Integer32().subtype(subtypeSpec=ConstraintsUnion(SingleValueConstraint(1, 2))).clone(namedValues=NamedValues(("enabled", 1), ("disabled", 2))).clone('enabled')).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ciscoBfdAdminStatus.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdAdminStatus.setDescription("The global administrative status of BFD in this router. The value 'enabled' denotes that the BFD Process is active on at least one interface; 'disabled' disables it on all interfaces.")
ciscoBfdVersionNumber = MibScalar((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 1, 3), Unsigned32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdVersionNumber.setReference('BFD Version 0 (draft-katz-ward-bfd-02.txt)')
if mibBuilder.loadTexts: ciscoBfdVersionNumber.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdVersionNumber.setDescription('The current version number of the BFD protocol.')
ciscoBfdSessTable = MibTable((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2), )
if mibBuilder.loadTexts: ciscoBfdSessTable.setReference('BFD Version 0 (draft-katz-ward-ciscoBfd-02.txt)')
if mibBuilder.loadTexts: ciscoBfdSessTable.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessTable.setDescription('The BFD Session Table describes the BFD sessions.')
ciscoBfdSessEntry = MibTableRow((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1), ).setIndexNames((0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessIndex"))
if mibBuilder.loadTexts: ciscoBfdSessEntry.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessEntry.setDescription('The BFD Session Entry describes BFD session.')
ciscoBfdSessIndex = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 1), CiscoBfdSessIndexTC())
if mibBuilder.loadTexts: ciscoBfdSessIndex.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessIndex.setDescription('This object contains an index used to represent a unique BFD session on this device.')
ciscoBfdSessApplicationId = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 2), Unsigned32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessApplicationId.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessApplicationId.setDescription('This object contains an index used to indicate a local application which owns or maintains this BFD session. For instance, the MPLS VPN process may maintain a subset of the total number of BFD sessions. This application ID provides a convenient way to segregate sessions by the applications which maintain them.')
ciscoBfdSessDiscriminator = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 3), Unsigned32().subtype(subtypeSpec=ValueRangeConstraint(1, 4294967295))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessDiscriminator.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDiscriminator.setDescription('This object specifies the local discriminator for this BFD session, used to uniquely identify it.')
ciscoBfdSessRemoteDiscr = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 4), Unsigned32().subtype(subtypeSpec=ValueRangeConstraint(0, 4294967295))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessRemoteDiscr.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessRemoteDiscr.setDescription('This object specifies the session discriminator chosen by the remote system for this BFD session.')
ciscoBfdSessUdpPort = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 5), InetPortNumber()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessUdpPort.setReference('draft-katz-ward-bfd-02.txt and draft-raggarwa-mpls-bfd-00.txt')
if mibBuilder.loadTexts: ciscoBfdSessUdpPort.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessUdpPort.setDescription('The destination UDP Port for BFD. The default value is the well-known value for this port. BFD State failing(5) is only applicable if this BFD session is running version 0')
ciscoBfdSessState = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 6), Integer32().subtype(subtypeSpec=ConstraintsUnion(SingleValueConstraint(1, 2, 3, 4, 5))).clone(namedValues=NamedValues(("adminDown", 1), ("down", 2), ("init", 3), ("up", 4), ("failing", 5)))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessState.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessState.setDescription('The perceived state of the BFD session.')
ciscoBfdSessRemoteHeardFlag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 7), TruthValue()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessRemoteHeardFlag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessRemoteHeardFlag.setDescription('This object specifies status of BFD packet reception from the remote system. Specifically, it is set to true(1) if the local system is actively receiving BFD packets from the remote system, and is set to false(0) if the local system has not received BFD packets recently (within the detection time) or if the local system is attempting to tear down the BFD session.')
ciscoBfdSessDiag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 8), CiscoBfdDiag()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessDiag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDiag.setDescription("A diagnostic code specifying the local system's reason for the last transition of the session from up(1) to some other state.")
ciscoBfdSessOperMode = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 9), Integer32().subtype(subtypeSpec=ConstraintsUnion(SingleValueConstraint(1, 2, 3, 4))).clone(namedValues=NamedValues(("asyncModeWEchoFun", 1), ("asynchModeWOEchoFun", 2), ("demandModeWEchoFunction", 3), ("demandModeWOEchoFunction", 4)))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessOperMode.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessOperMode.setDescription('This object specifies current operating mode that BFD session is operating in.')
ciscoBfdSessDemandModeDesiredFlag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 10), TruthValue().clone('false')).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessDemandModeDesiredFlag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDemandModeDesiredFlag.setDescription("This object indicates that the local system's desire to use Demand mode. Specifically, it is set to true(1) if the local system wishes to use Demand mode or false(0) if not")
ciscoBfdSessEchoFuncModeDesiredFlag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 11), TruthValue().clone('false')).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessEchoFuncModeDesiredFlag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessEchoFuncModeDesiredFlag.setDescription("This object indicates that the local system's desire to use Echo mode. Specifically, it is set to true(1) if the local system wishes to use Echo mode or false(0) if not")
ciscoBfdSessControlPlanIndepFlag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 12), TruthValue().clone('false')).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessControlPlanIndepFlag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessControlPlanIndepFlag.setDescription("This object indicates that the local system's ability to continue to function through a disruption of the control plane. Specifically, it is set to true(1) if the local system BFD implementation is independent of the control plane. Otherwise, the value is set to false(0)")
ciscoBfdSessAddrType = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 13), InetAddressType()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessAddrType.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessAddrType.setDescription('This object specifies IP address type of the neighboring IP address which is being monitored with this BFD session. Only values unknown(0), ipv4(1) or ipv6(2) have to be supported. A value of unknown(0) is allowed only when the outgoing interface is of type point-to-point, or when the BFD session is not associated with a specific interface. If any other unsupported values are attempted in a set operation, the agent MUST return an inconsistentValue error.')
ciscoBfdSessAddr = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 14), InetAddress()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessAddr.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessAddr.setDescription('This object specifies the neighboring IP address which is being monitored with this BFD session. It can also be used to enabled BFD on a specific interface. The value is set to zero when BFD session is not associated with a specific interface.')
ciscoBfdSessDesiredMinTxInterval = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 15), CiscoBfdInterval()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessDesiredMinTxInterval.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDesiredMinTxInterval.setDescription('This object specifies the minimum interval, in microseconds, that the local system would like to use when transmitting BFD Control packets.')
ciscoBfdSessReqMinRxInterval = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 16), CiscoBfdInterval()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessReqMinRxInterval.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessReqMinRxInterval.setDescription('This object specifies the minimum interval, in microseconds, between received BFD Control packets the local system is capable of supporting.')
ciscoBfdSessReqMinEchoRxInterval = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 17), CiscoBfdInterval()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessReqMinEchoRxInterval.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessReqMinEchoRxInterval.setDescription('This object specifies the minimum interval, in microseconds, between received BFD Echo packets that this system is capable of supporting.')
ciscoBfdSessDetectMult = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 18), Unsigned32()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessDetectMult.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDetectMult.setDescription('This object specifies the Detect time multiplier.')
ciscoBfdSessStorType = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 19), StorageType()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessStorType.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessStorType.setDescription("This variable indicates the storage type for this object. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row.")
ciscoBfdSessRowStatus = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 20), RowStatus()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessRowStatus.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessRowStatus.setDescription('This variable is used to create, modify, and/or delete a row in this table. When a row in this table has a row in the active(1) state, no objects in this row can be modified except the ciscoBfdSessRowStatus and ciscoBfdSessStorageType.')
ciscoBfdSessAuthPresFlag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 21), TruthValue().clone('false')).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessAuthPresFlag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessAuthPresFlag.setDescription("This object indicates that the local system's desire to use Authentication. Specifically, it is set to true(1) if the local system wishes the session to be authenticated or false(0) if not")
ciscoBfdSessAuthenticationType = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 22), Integer32().subtype(subtypeSpec=ConstraintsUnion(SingleValueConstraint(1, 2, 3, 4, 5))).clone(namedValues=NamedValues(("simplePassword", 1), ("keyedMD5", 2), ("meticulousKeyedMD5", 3), ("keyedSHA1", 4), ("meticulousKeyedSHA1", 5)))).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ciscoBfdSessAuthenticationType.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessAuthenticationType.setDescription('The Authentication Type used for this BFD session. This field is valid only when the Authentication Present bit is set')
ciscoBfdSessVersionNumber = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 23), Unsigned32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessVersionNumber.setReference('BFD Version 0 (draft-katz-ward-bfd-02.txt) and BFD Version 1 (draft-ietf-bfd-base-07.txt)')
if mibBuilder.loadTexts: ciscoBfdSessVersionNumber.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessVersionNumber.setDescription('The version number of the BFD protocol that this session is running in.')
ciscoBfdSessType = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 24), Integer32().subtype(subtypeSpec=ConstraintsUnion(SingleValueConstraint(1, 2))).clone(namedValues=NamedValues(("singleHop", 1), ("multiHop", 2)))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessType.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessType.setDescription('The type of this BFD session.')
ciscoBfdSessInterface = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 2, 1, 25), InterfaceIndex()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessInterface.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessInterface.setDescription('This object contains an interface index used to indicate the interface which this BFD session is running on.')
ciscoBfdSessPerfTable = MibTable((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3), )
if mibBuilder.loadTexts: ciscoBfdSessPerfTable.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfTable.setDescription('This table specifies BFD Session performance counters.')
ciscoBfdSessPerfEntry = MibTableRow((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1), )
ciscoBfdSessEntry.registerAugmentions(("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfEntry"))
ciscoBfdSessPerfEntry.setIndexNames(*ciscoBfdSessEntry.getIndexNames())
if mibBuilder.loadTexts: ciscoBfdSessPerfEntry.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfEntry.setDescription('An entry in this table is created by a BFD-enabled node for every BFD Session. ciscoBfdCounterDiscontinuityTime is used to indicate potential discontinuity for all counter objects in this table.')
ciscoBfdSessPerfPktIn = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 1), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfPktIn.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfPktIn.setDescription('The total number of BFD messages received for this BFD session.')
ciscoBfdSessPerfPktOut = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 2), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfPktOut.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfPktOut.setDescription('The total number of BFD messages sent for this BFD session.')
ciscoBfdSessUpTime = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 3), TimeStamp()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessUpTime.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessUpTime.setDescription('The value of sysUpTime on the most recent occasion at which the session came up. If no such up event exists this object contains a zero value.')
ciscoBfdSessPerfLastSessDownTime = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 4), TimeStamp()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfLastSessDownTime.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfLastSessDownTime.setDescription('The value of sysUpTime on the most recent occasion at which the last time communication was lost with the neighbor. If no such down event exist this object contains a zero value.')
ciscoBfdSessPerfLastCommLostDiag = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 5), CiscoBfdDiag()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfLastCommLostDiag.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfLastCommLostDiag.setDescription('The BFD diag code for the last time communication was lost with the neighbor. If no such down event exists this object contains a zero value.')
ciscoBfdSessPerfSessUpCount = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 6), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfSessUpCount.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfSessUpCount.setDescription('The number of times this session has gone into the Up state since the router last rebooted.')
ciscoBfdSessPerfDiscTime = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 7), TimeStamp()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfDiscTime.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfDiscTime.setDescription('The value of sysUpTime on the most recent occasion at which any one or more of the session counters suffered a discontinuity. The relevant counters are the specific instances associated with this BFD session of any Counter32 object contained in the ciscoBfdSessPerfTable. If no such discontinuities have occurred since the last re-initialization of the local management subsystem, then this object contains a zero value.')
ciscoBfdSessPerfPktInHC = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 8), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfPktInHC.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfPktInHC.setDescription('This value represents the total number of BFD messages received for this BFD session. It MUST be equal to the least significant 32 bits of ciscoBfdSessPerfPktIn if ciscoBfdSessPerfPktInHC is supported according to the rules spelled out in RFC2863.')
ciscoBfdSessPerfPktOutHC = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 3, 1, 9), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessPerfPktOutHC.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessPerfPktOutHC.setDescription('This value represents the total number of total number of BFD messages transmitted for this BFD session. It MUST be equal to the least significant 32 bits of ciscoBfdSessPerfPktIn if ciscoBfdSessPerfPktOutHC is supported according to the rules spelled out in RFC2863.')
ciscoBfdSessMapTable = MibTable((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 4), )
if mibBuilder.loadTexts: ciscoBfdSessMapTable.setReference('BFD Version 0 (draft-katz-ward-bfd-02.txt)')
if mibBuilder.loadTexts: ciscoBfdSessMapTable.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessMapTable.setDescription('The BFD Session Mapping Table maps the complex indexing of the BFD sessions to the flat CiscoBfdSessIndexTC used in the ciscoBfdSessTable.')
ciscoBfdSessMapEntry = MibTableRow((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 4, 1), ).setIndexNames((0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessApplicationId"), (0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessDiscriminator"), (0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessAddrType"), (0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessAddr"))
if mibBuilder.loadTexts: ciscoBfdSessMapEntry.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessMapEntry.setDescription('The BFD Session Entry describes BFD session that is mapped to this index.')
ciscoBfdSessMapBfdIndex = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 4, 1, 1), CiscoBfdSessIndexTC()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessMapBfdIndex.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessMapBfdIndex.setDescription('This object indicates the CiscoBfdSessIndexTC referred to by the indices of this row. In essence, a mapping is provided between these indices and the ciscoBfdSessTable.')
ciscoBfdSessDiscMapTable = MibTable((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 5), )
if mibBuilder.loadTexts: ciscoBfdSessDiscMapTable.setReference('BFD Version 0 (draft-katz-ward-bfd-02.txt)')
if mibBuilder.loadTexts: ciscoBfdSessDiscMapTable.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDiscMapTable.setDescription("The BFD Session Discriminator Mapping Table maps a local discriminator value to associated BFD sessions' CiscoBfdSessIndexTC used in the ciscoBfdSessTable.")
ciscoBfdSessDiscMapEntry = MibTableRow((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 5, 1), ).setIndexNames((0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessDiscriminator"))
if mibBuilder.loadTexts: ciscoBfdSessDiscMapEntry.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDiscMapEntry.setDescription('Each row contains a mapping between a local discriminator value to an entry in ciscoBfdSessTable.')
ciscoBfdSessDiscMapIndex = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 5, 1, 1), CiscoBfdSessIndexTC()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessDiscMapIndex.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDiscMapIndex.setDescription('This object indicates the CiscoBfdSessIndexTC referred to by the index of this row. In essence, a mapping is provided between this index and the ciscoBfdSessTable.')
ciscoBfdSessIpMapTable = MibTable((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 6), )
if mibBuilder.loadTexts: ciscoBfdSessIpMapTable.setReference('BFD Version 0 (draft-katz-ward-bfd-02.txt)')
if mibBuilder.loadTexts: ciscoBfdSessIpMapTable.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessIpMapTable.setDescription("The BFD Session IP Mapping Table maps given ciscoBfdSessInterface, ciscoBfdSessAddrType, and ciscoBbfdSessAddr to an associated BFD sessions' CiscoBfdSessIndexTC used in the ciscoBfdSessTable. This table SHOULD contains those BFD sessions are of IP type: singleHop(1) and multiHop(2).")
ciscoBfdSessIpMapEntry = MibTableRow((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 6, 1), ).setIndexNames((0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessInterface"), (0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessAddrType"), (0, "CISCO-IETF-BFD-MIB", "ciscoBfdSessAddr"))
if mibBuilder.loadTexts: ciscoBfdSessIpMapEntry.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessIpMapEntry.setDescription('Each row contains a mapping between ciscoBfdSessInterface, ciscoBfdSessAddrType and ciscoBfdSessAddr values to an entry in ciscoBfdSessTable.')
ciscoBfdSessIpMapIndex = MibTableColumn((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 6, 1, 1), CiscoBfdSessIndexTC()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ciscoBfdSessIpMapIndex.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessIpMapIndex.setDescription('This object indicates the CiscoBfdSessIndexTC referred to by the indices of this row. In essence, a mapping is provided between these indices and an entry in ciscoBfdSessTable.')
ciscoBfdSessNotificationsEnable = MibScalar((1, 3, 6, 1, 4, 1, 9, 10, 137, 1, 1, 4), TruthValue().clone('false')).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ciscoBfdSessNotificationsEnable.setReference('See also RFC3413 for explanation that notifications are under the ultimate control of the MIB modules in this document.')
if mibBuilder.loadTexts: ciscoBfdSessNotificationsEnable.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessNotificationsEnable.setDescription('If this object is set to true(1), then it enables the emission of ciscoBfdSessUp and ciscoBfdSessDown notifications; otherwise these notifications are not emitted.')
ciscoBfdSessUp = NotificationType((1, 3, 6, 1, 4, 1, 9, 10, 137, 0, 1)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiag"))
if mibBuilder.loadTexts: ciscoBfdSessUp.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessUp.setDescription('This notification is generated when the ciscoBfdSessState object for one or more contiguous entries in ciscoBfdSessTable are about to enter the up(4) state from some other state. The included values of ciscoBfdSessDiag MUST both be set equal to this new state (i.e: up(4)). The two instances of ciscoBfdSessDiag in this notification indicate the range of indexes that are affected. Note that all the indexes of the two ends of the range can be derived from the instance identifiers of these two objects. For the cases where a contiguous range of sessions have transitioned into the up(4) state at roughly the same time, the device SHOULD issue a single notification for each range of contiguous indexes in an effort to minimize the emission of a large number of notifications. If a notification has to be issued for just a single ciscoBfdSessEntry, then the instance identifier (and values) of the two ciscoBfdSessDiag objects MUST be the identical.')
ciscoBfdSessDown = NotificationType((1, 3, 6, 1, 4, 1, 9, 10, 137, 0, 2)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiag"))
if mibBuilder.loadTexts: ciscoBfdSessDown.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessDown.setDescription('This notification is generated when the ciscoBfdSessState object for one or more contiguous entries in ciscoBfdSessTable are about to enter the down(2) or adminDown(1) states from some other state. The included values of ciscoBfdSessDiag MUST both be set equal to this new state (i.e: down(2) or adminDown(1)). The two instances of ciscoBfdSessDiag in this notification indicate the range of indexes that are affected. Note that all the indexes of the two ends of the range can be derived from the instance identifiers of these two objects. For cases where a contiguous range of sessions have transitioned into the down(2) or adminDown(1) states at roughly the same time, the device SHOULD issue a single notification for each range of contiguous indexes in an effort to minimize the emission of a large number of notifications. If a notification has to be issued for just a single ciscoBfdSessEntry, then the instance identifier (and values) of the two ciscoBfdSessDiag objects MUST be the identical.')
ciscoBfdGroups = MibIdentifier((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1))
ciscoBfdCompliances = MibIdentifier((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 2))
ciscoBfdModuleFullCompliance = ModuleCompliance((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 2, 1)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessionGroup"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessionPerfGroup"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessionPerfHCGroup"), ("CISCO-IETF-BFD-MIB", "ciscoBfdNotificationGroup"))

if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdModuleFullCompliance = ciscoBfdModuleFullCompliance.setStatus('deprecated')
if mibBuilder.loadTexts: ciscoBfdModuleFullCompliance.setDescription('Compliance statement for agents that provide full support for CISCO-IETF-BFD-MIB of draft-ietf-bfd-mib-03.txt. Such devices can then be monitored and also be configured using this MIB module. This compliance statement is superceded by ciscoBfdModuleFullComplianceRev2.')
ciscoBfdModuleFullComplianceRev2 = ModuleCompliance((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 2, 2)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSession0304Group"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessionPerfGroup"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessionPerfHCGroup"), ("CISCO-IETF-BFD-MIB", "ciscoBfdNotificationGroup"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSession03Group"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSession04Group"))

if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdModuleFullComplianceRev2 = ciscoBfdModuleFullComplianceRev2.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdModuleFullComplianceRev2.setDescription('Compliance statement for agents that provide full support for CISCO-IETF-BFD-MIB of draft-ietf-bfd-mib-04.txt. Such devices can then be monitored and also be configured using this MIB module.')
ciscoBfdSessionGroup = ObjectGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 1)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessNotificationsEnable"), ("CISCO-IETF-BFD-MIB", "ciscoBfdAdminStatus"), ("CISCO-IETF-BFD-MIB", "ciscoBfdVersionNumber"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessApplicationId"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiscriminator"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAddrType"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAddr"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessRemoteDiscr"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessUdpPort"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessState"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessRemoteHeardFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessOperMode"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDemandModeDesiredFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessEchoFuncModeDesiredFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessControlPlanIndepFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDesiredMinTxInterval"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessReqMinRxInterval"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessReqMinEchoRxInterval"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDetectMult"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessStorType"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessRowStatus"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessMapBfdIndex"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAuthPresFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAuthenticationType"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdSessionGroup = ciscoBfdSessionGroup.setStatus('deprecated')
if mibBuilder.loadTexts: ciscoBfdSessionGroup.setDescription('Collection of objects needed for BFD sessions.')
ciscoBfdSessionPerfGroup = ObjectGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 2)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfPktIn"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfPktOut"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessUpTime"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfLastSessDownTime"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfLastCommLostDiag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfSessUpCount"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfDiscTime"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdSessionPerfGroup = ciscoBfdSessionPerfGroup.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessionPerfGroup.setDescription('Collection of objects needed to monitor the performance of BFD sessions.')
ciscoBfdSessionPerfHCGroup = ObjectGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 3)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfPktInHC"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessPerfPktOutHC"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdSessionPerfHCGroup = ciscoBfdSessionPerfHCGroup.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSessionPerfHCGroup.setDescription('Collection of objects needed to monitor the performance of BFD sessions for which the values of ciscoBfdSessPerfPktIn, ciscoBfdSessPerfPktOut wrap around too quickly.')
ciscoBfdNotificationGroup = NotificationGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 4)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessUp"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDown"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdNotificationGroup = ciscoBfdNotificationGroup.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdNotificationGroup.setDescription('Set of notifications implemented in this module.')
ciscoBfdSession0304Group = ObjectGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 5)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessNotificationsEnable"), ("CISCO-IETF-BFD-MIB", "ciscoBfdAdminStatus"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiscriminator"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAddrType"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAddr"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessRemoteDiscr"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessUdpPort"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessState"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessRemoteHeardFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessOperMode"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDemandModeDesiredFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessEchoFuncModeDesiredFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessControlPlanIndepFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDesiredMinTxInterval"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessReqMinRxInterval"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessReqMinEchoRxInterval"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDetectMult"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessStorType"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessRowStatus"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAuthPresFlag"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessAuthenticationType"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdSession0304Group = ciscoBfdSession0304Group.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSession0304Group.setDescription('Collection of objects needed for BFD sessions for both draft-ietf-bfd-mib-03.txt and draft-ietf-bfd-mib-04.txt.')
ciscoBfdSession03Group = ObjectGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 6)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdVersionNumber"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessApplicationId"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessMapBfdIndex"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdSession03Group = ciscoBfdSession03Group.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSession03Group.setDescription('Collection of objects needed for BFD sessions to support draft-ietf-bfd-mib-03.txt.')
ciscoBfdSession04Group = ObjectGroup((1, 3, 6, 1, 4, 1, 9, 10, 137, 3, 1, 7)).setObjects(("CISCO-IETF-BFD-MIB", "ciscoBfdSessVersionNumber"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessType"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessInterface"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessDiscMapIndex"), ("CISCO-IETF-BFD-MIB", "ciscoBfdSessIpMapIndex"))
if getattr(mibBuilder, 'version', (0, 0, 0)) > (4, 4, 0):
    ciscoBfdSession04Group = ciscoBfdSession04Group.setStatus('current')
if mibBuilder.loadTexts: ciscoBfdSession04Group.setDescription('Collection of objects needed for BFD sessions to support draft-ietf-bfd-mib-04.txt.')
mibBuilder.exportSymbols("CISCO-IETF-BFD-MIB", ciscoBfdSessPerfPktIn=ciscoBfdSessPerfPktIn, ciscoBfdSessType=ciscoBfdSessType, ciscoBfdSessDetectMult=ciscoBfdSessDetectMult, ciscoBfdSessState=ciscoBfdSessState, CiscoBfdDiag=CiscoBfdDiag, ciscoBfdSessPerfEntry=ciscoBfdSessPerfEntry, ciscoBfdSessPerfPktOut=ciscoBfdSessPerfPktOut, CiscoBfdSessIndexTC=CiscoBfdSessIndexTC, ciscoBfdSessIpMapEntry=ciscoBfdSessIpMapEntry, ciscoBfdSessAuthenticationType=ciscoBfdSessAuthenticationType, ciscoBfdSessOperMode=ciscoBfdSessOperMode, ciscoBfdGroups=ciscoBfdGroups, ciscoIetfBfdMIB=ciscoIetfBfdMIB, ciscoBfdSessPerfDiscTime=ciscoBfdSessPerfDiscTime, ciscoBfdSessRemoteHeardFlag=ciscoBfdSessRemoteHeardFlag, ciscoBfdSessMapBfdIndex=ciscoBfdSessMapBfdIndex, CiscoBfdInterval=CiscoBfdInterval, ciscoBfdSessDiscMapTable=ciscoBfdSessDiscMapTable, ciscoBfdSessDiscMapEntry=ciscoBfdSessDiscMapEntry, ciscoBfdSessNotificationsEnable=ciscoBfdSessNotificationsEnable, ciscoBfdSessAddrType=ciscoBfdSessAddrType, ciscoBfdObjects=ciscoBfdObjects, ciscoBfdSessTable=ciscoBfdSessTable, ciscoBfdSessDiscriminator=ciscoBfdSessDiscriminator, ciscoBfdSessMapTable=ciscoBfdSessMapTable, ciscoBfdSessAddr=ciscoBfdSessAddr, ciscoBfdModuleFullCompliance=ciscoBfdModuleFullCompliance, ciscoBfdSessUdpPort=ciscoBfdSessUdpPort, ciscoBfdSessionGroup=ciscoBfdSessionGroup, ciscoBfdSessPerfSessUpCount=ciscoBfdSessPerfSessUpCount, ciscoBfdSessDesiredMinTxInterval=ciscoBfdSessDesiredMinTxInterval, ciscoBfdSessInterface=ciscoBfdSessInterface, ciscoBfdSessPerfPktInHC=ciscoBfdSessPerfPktInHC, ciscoBfdSessIpMapTable=ciscoBfdSessIpMapTable, ciscoBfdSessionPerfGroup=ciscoBfdSessionPerfGroup, ciscoBfdSessDown=ciscoBfdSessDown, ciscoBfdSessUp=ciscoBfdSessUp, ciscoBfdSessPerfLastCommLostDiag=ciscoBfdSessPerfLastCommLostDiag, ciscoBfdSessRemoteDiscr=ciscoBfdSessRemoteDiscr, ciscoBfdSession0304Group=ciscoBfdSession0304Group, ciscoBfdNotifications=ciscoBfdNotifications, ciscoBfdModuleFullComplianceRev2=ciscoBfdModuleFullComplianceRev2, ciscoBfdSessRowStatus=ciscoBfdSessRowStatus, ciscoBfdSessIpMapIndex=ciscoBfdSessIpMapIndex, ciscoBfdSessReqMinEchoRxInterval=ciscoBfdSessReqMinEchoRxInterval, ciscoBfdSession04Group=ciscoBfdSession04Group, ciscoBfdSessControlPlanIndepFlag=ciscoBfdSessControlPlanIndepFlag, ciscoBfdSessDiag=ciscoBfdSessDiag, ciscoBfdSessUpTime=ciscoBfdSessUpTime, ciscoBfdSessApplicationId=ciscoBfdSessApplicationId, ciscoBfdSessPerfTable=ciscoBfdSessPerfTable, ciscoBfdSession03Group=ciscoBfdSession03Group, ciscoBfdSessEntry=ciscoBfdSessEntry, ciscoBfdSessMapEntry=ciscoBfdSessMapEntry, ciscoBfdSessDemandModeDesiredFlag=ciscoBfdSessDemandModeDesiredFlag, ciscoBfdSessAuthPresFlag=ciscoBfdSessAuthPresFlag, ciscoBfdSessVersionNumber=ciscoBfdSessVersionNumber, ciscoBfdSessDiscMapIndex=ciscoBfdSessDiscMapIndex, ciscoBfdSessStorType=ciscoBfdSessStorType, ciscoBfdSessPerfLastSessDownTime=ciscoBfdSessPerfLastSessDownTime, ciscoBfdCompliances=ciscoBfdCompliances, ciscoBfdNotificationGroup=ciscoBfdNotificationGroup, ciscoBfdSessIndex=ciscoBfdSessIndex, ciscoBfdAdminStatus=ciscoBfdAdminStatus, ciscoBfdScalarObjects=ciscoBfdScalarObjects, PYSNMP_MODULE_ID=ciscoIetfBfdMIB, ciscoBfdVersionNumber=ciscoBfdVersionNumber, ciscoBfdSessReqMinRxInterval=ciscoBfdSessReqMinRxInterval, ciscoBfdSessEchoFuncModeDesiredFlag=ciscoBfdSessEchoFuncModeDesiredFlag, ciscoBfdSessPerfPktOutHC=ciscoBfdSessPerfPktOutHC, ciscoBfdSessionPerfHCGroup=ciscoBfdSessionPerfHCGroup, ciscoBfdConformance=ciscoBfdConformance)
